#ifndef _PLAYER_CPP_
#define _PLAYER_CPP_

#include <iostream>
#include <string>

using namespace std;
#include "config.h"
#include "player.h"
#include "reference.h"
#include "part.h"
#include "track.h"
#include "note.h"
#include "midiEvent.h"
#include "masterEvent.h"
#include "audioEvent.h"
#include "song.h"
#include "table.h"
#include "element.h"
#include "scoreTrack.h"
#include "drumTrack.h"
#include "prProgress.h"
#include "prMainEditor.h"
#include "songIterator.h"
#include "addElement.h"

extern Table * selectioN;
extern int output;
extern PrMainEditor * mainEditor;

Player::Player() : _song(0), devnum(0), _playing(false) {
 met_chn = 9;
 met_pitch = 32;
 met_vel = 127;
}

Player::Player(Song * s) : _song(s), devnum(0), _playing(false) {
 met_chn = 9;
 met_pitch = 32;
 met_vel = 127;
}

Player::~Player() {
}

/* void Player::wait(long timePos, long offset) {
  if (output==KMID) {
  if (oldTimePos!=timePos) {
  devman->wait(timePos-offset);
  oldTimePos=timePos;
  needSync=true;
  } */

void Player::programChange(int t) {
  Track * tr = (Track*) _song->get(t);
  programChange(tr);
}

#endif
