#ifndef TRACKERVIEW_H
#define TRACKERVIEW_H

#include "main.h"

class TrackerView : public QWidget {
	Q_OBJECT
protected:
	ArtsTrackerWidget *twidget;
	SongPlayer *pp;
	class SongControl *songControl;
	QScrollBar *hbar, *vbar;
public:
	TrackerView(QWidget *parent);
public slots:
	void file_new();
	void file_open();
	void file_save();
	void file_play_song();
	void file_stop_all_notes();

	void updateSongPatterns();
	void setSongLength(int newSongLength);
	void setPattern(int newPattern);
};
#endif /* TRACKERVIEW_H */
