#ifndef _CONTAINER_H_
#define _CONTAINER_H_

#include "element.h"

class Container : public Element
{
 private:
  void * _content;

 public:
  Container(void * c=0);

  Container(int);

  ~Container();

  void * content();

  /**
   * Implementation of the print method
  **/
  virtual ostream & print(int,ostream&) const;

  /**
   * Implementation of the flush method
  **/
  virtual void flush(const char*) const;

  /**
   * Implementation of the copy method
  **/
  virtual Element * copy() const;

  virtual bool isEvent() const { return false; }

  virtual bool isTrack() const { return false; }

};

#endif
